umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Typedefs | Functions
umllistviewitem.h File Reference
`#include "basictypes.h"`
`#include "icon_utils.h"`
`#include <QDomDocument>`
`#include <QDomElement>`
`#include <QHash>`
`#include <QPointer>`
`#include <QTreeWidget>`
`#include <QXmlStreamWriter>`

Go to the source code of this file.

## Classes
class | UMLListViewItem
| Items used by UMLListView. More...

## Typedefs
typedef QTreeWidgetItemIterator | UMLListViewItemIterator

## Functions
QDebug | operator<< (QDebug dbg, const UMLListViewItem &item)

## Typedef Documentation

## ◆ UMLListViewItemIterator

typedef QTreeWidgetItemIterator UMLListViewItemIterator

## Function Documentation

## ◆ operator<<()

QDebug operator<< | ( | QDebug | dbg,
|  | const UMLListViewItem & | item )

Overloading operator for debugging output.